#!/bin/bash

echo -e "\n\n\n--------------- fastcomp -------------\n"

psql -h localhost -p 5434 testdb -e -f root_displace_tests_setup.sql
for workmem in 4MB 64MB 256MB 1GB 4GB ; do
    PGOPTIONS="-c work_mem=$workmem -c maintenance_work_mem=$workmem" psql -h localhost -p 5434 testdb -e -f root_displace_tests.sql
done

echo -e "\n\n\n--------------- slowcomp -------------\n"

psql -h localhost -p 5434 testdb -e -f root_displace_tests_slowsetup.sql
for workmem in 4MB 64MB 256MB 1GB 4GB ; do
    PGOPTIONS="-c work_mem=$workmem -c maintenance_work_mem=$workmem" psql -h localhost -p 5434 testdb -e -f root_displace_tests.sql
done
